<?php 
session_start();
require_once '../../includes/conn.php';
?>

<!DOCTYPE html>
<html>
<head> 

<link rel="stylesheet" href="css/table_data_center_with_border_black.css">
</head>
<body>
 <div class="container-fluid">
 <br>

<center> <?php
				 
				   $pq=mysqli_query($con,"select * from stuff left join `user` on user.userid=stuff.userid where stuff.userid='".$_SESSION['id']."'");
				   while($pqrow=mysqli_fetch_array($pq)){
				?>
				 <span style="font-size:21;font-weight:bold;">
			  <?php echo $pqrow['business_name']; ?>
				 </span> 
	<?php }?> <br>
	<span style="font-size:19;">
Date Wise Teachers Attendance Report
</span>
<br>
<span style="font-size:18;">
<?php 
$startDate = $_POST['startDate'];  $endDate = $_POST['endDate'];
echo '  Date From  : ' ; echo date("d - M - Y", strtotime( $startDate));
echo ' |  Date To :  ' ; echo date("d - M - Y", strtotime( $endDate));
?> <br>
Print Date : <?php echo date("d-M-Y") ;?> | 
Time   : <?php date_default_timezone_set("Asia/Dhaka"); echo  date("h:i:sa");?>
 </span>
		 </center> <br>
 
<?php 
 
if($_POST) {

    $Teacher = $_POST['Teacher'];

	$startDate = $_POST['startDate'];
	$date = DateTime::createFromFormat('m/d/Y',$startDate);
	$start_date = $date->format("Y-m-d");


	$endDate = $_POST['endDate'];
	$format = DateTime::createFromFormat('m/d/Y',$endDate);
	$end_date = $format->format("Y-m-d");

	$sql = "SELECT * FROM attendance_teacher 
	LEFT JOIN teacher ON teacher.teacher_id = attendance_teacher.teacher_id														
	where attendance_teacher.teacher_id='$Teacher' and attendance_teacher.atnd_date >= '$start_date' AND attendance_teacher.atnd_date <= '$end_date' ";
	$query = $con->query($sql);

	$table = '
	<table border="1" cellspacing="0" cellpadding="0" class="table table-bordered" style="width:100%;">
		<tr>
							<th>Sl</th>							
							    <th>Name</th>								
							    <th>Date</th>							
                                <th>Attends</th>
							    <th>Comments</th>
							
		</tr>

		<tr>';
		//$exp_cost = "";	
$sl=0;		
		while ($result = $query->fetch_assoc()) {
			$table .= '<tr>
				<td><center>'.++$sl.'</center></td>
				<td><center>'.$result['teacher_name'].'</center></td>								 
				<td><center>'.date("d-M-Y", strtotime($result['atnd_date'])).'</center></td>
				<td><center>'.$result['atnd_info'].'</center></td> 
				<td> </td>
			</tr>';	
			
			//$exp_cost+= $result['attendance_teacher_cost'];
		}
		$table .= '
		</tr>
		
        <tr style="display:none;">
			<td colspan="" style="text-align:right; "><b> Total = </b></td>
			<td><center><b>  </b></center></td>
		</tr>
		
	</table>
	';	

	echo $table;

}
?>

</div>


</body>
</html>
